Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.http
Class HTTPException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.tools.resources.ProtocolException
                        |
                        +--org.w3c.jigsaw.http.HTTPException

public class HTTPException
extends ProtocolException

All entities should throw an HTTPException when encoutering some problems. This kind of exception is the one that gets normally caught by clients, and result in sending back HTTP error messages to the client.

See Also:
  Serialized Form

Constructor Summary
`HTTPException(ProtocolException ex)`
`HTTPException(Reply error)`
`HTTPException(java.lang.String msg)`
`HTTPException(java.lang.String msg, Reply error)`

Methods inherited from class org.w3c.tools.resources.ProtocolException
`getReply, hasReply`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPException

    public HTTPException(java.lang.String msg)

### HTTPException

    public HTTPException(java.lang.String msg,
                         Reply error)

### HTTPException

    public HTTPException(Reply error)

### HTTPException

    public HTTPException(ProtocolException ex)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD